List an SMS's events

GET
/v1/sms/{id}/events

Everything that happened to the message, oldest first.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The message's id.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The events.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.sms.listEvents("sms_01k7c8m4q2f3e9v6t5r1n0p8yz");
{  "object": "list",  "data": [    {      "object": "sms_event",      "id": "smsevt_01k7c8m4r0c2b8w9y3d5f6g7h8",      "sms_id": "sms_01k7c8m4q2f3e9v6t5r1n0p8yz",      "type": "sms.delivered",      "occurred_at": "2026-11-10T12:00:04.000Z",      "data": {}    }  ],  "has_more": false}